summarylogtreecommitdiffstats
path: root/simplest-file-renamer.sh
diff options
context:
space:
mode:
authorzxp198210052024-03-13 11:40:34 +0800
committerzxp198210052024-03-13 11:40:34 +0800
commitbb7dc14fed48a21e6881cff37a36bc9a040d4821 (patch)
treeffe9e442c7e33ea9eaa435be84c470d4e58c6297 /simplest-file-renamer.sh
parent2d9ec0ca5d459b9cb732f3d64bf8c30a4f35a01c (diff)
downloadaur-bb7dc14fed48a21e6881cff37a36bc9a040d4821.tar.gz
fix errors
Diffstat (limited to 'simplest-file-renamer.sh')
-rw-r--r--simplest-file-renamer.sh8
1 files changed, 5 insertions, 3 deletions
diff --git a/simplest-file-renamer.sh b/simplest-file-renamer.sh
index f9ced1432cfc..7ddcaab8d734 100644
--- a/simplest-file-renamer.sh
+++ b/simplest-file-renamer.sh
@@ -1,14 +1,16 @@
-#!/bin/sh
+#!/bin/bash
set -e
_APPDIR="/usr/lib/@appname@"
_RUNNAME="${_APPDIR}/@runname@"
+_OPTIONS="@options@"
export PATH="${_APPDIR}:${PATH}"
export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
export ELECTRON_IS_DEV=0
+export ELECTRON_FORCE_IS_PACKAGED=true
export NODE_ENV=production
cd "${_APPDIR}"
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- exec electron@electronversion@ "${_RUNNAME}" "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" "$@" || exit $?
else
- exec electron@electronversion@ "${_RUNNAME}" --no-sandbox "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" --no-sandbox "$@" || exit $?
fi \ No newline at end of file